{
  "format_version": "1.8.0",
  "minecraft:spawn_rules": {
    "description": {
      "identifier": "cc_alien:alien",
      "population_control": "monster"
    },
    "conditions": [
      {
        "minecraft:density_limit": {
          "surface": 2,
          "underground": 0
        },
        "minecraft:difficulty_filter": {
          "max": "hard",
          "min": "easy"
        },
        "minecraft:brightness_filter": {
          "adjust_for_weather": true,
          "max": 15.0,
          "min": 0.0
        },
        "minecraft:spawns_on_surface": {},
        "minecraft:biome_filter": {
          "all_of": [
            {
              "test": "has_biome_tag",
              "operator": "\u003d\u003d",
              "value": "monster"
            },
            {
              "test": "has_biome_tag",
              "operator": "!=",
              "value": "jungle"
            },
            {
              "test": "has_biome_tag",
              "operator": "!=",
              "value": "mountain"
            },
            {
              "test": "has_biome_tag",
              "operator": "!=",
              "value": "mountains"
            },
            {
              "test": "has_biome_tag",
              "operator": "!=",
              "value": "mooshroom_island"
            },
            {
              "test": "has_biome_tag",
              "operator": "!=",
              "value": "swamp"
            }
          ]
        },
        "minecraft:herd": {
          "min_size": 2,
          "max_size": 1
        }
      }
    ]
  }
}
